Page Summary
-
This operation replaces all existing sites under a specified channel with a new list of sites.
-
The request requires the
advertiserIdandchannelIdas path parameters. -
The request body contains
newSites, a list of Site objects, and theownerwhich can be either a partner or advertiser ID. -
A successful response body contains an instance of
ReplaceSitesResponse. -
The operation requires the
https://www.googleapis.com/auth/display-videoauthorization scope.
Replaces all of the sites under a single channel.
The operation will replace the sites under a channel with the sites provided in ReplaceSitesRequest.new_sites.
HTTP request
POST https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/channels/{channelId}/sites:replace
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
channelId |
Required. The ID of the parent channel whose sites will be replaced. |
advertiserId |
The ID of the advertiser that owns the parent channel. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "newSites": [ { object ( |
| Fields | |
|---|---|
newSites[] |
The sites that will replace the existing sites assigned to the channel, specified as a list of |
Union field owner. Required. Identifies the DV360 entity that owns the parent channel. It can be either a partner or an advertiser. owner can be only one of the following: |
|
partnerId |
The ID of the partner that owns the parent channel. |
advertiserId |
The ID of the advertiser that owns the parent channel. |
Response body
If successful, the response body contains an instance of ReplaceSitesResponse.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.